Hi guys,

upon testing the blog example, I found a wrong SQL-statement generated in the above mentioned class.

            /**
            $sql['tables'][] = '"entities" AS "_entity", "properties_data" AS "d"';
            */
            $sql['tables'][] = '"properties_data" AS "d", "entities" AS "_entity"';

The commented line contains the wrong code throwing a SQL-Error.

Hope it helps.

Regine

History
#1 - 2011-03-05 00:06 - Regine Rosewich

I forgot to give the line-number of the wrong code.

Its 637 in \F3\Persistence\Backend\GenericPdo\Backend.php

#2 - 2011-03-20 10:50 - Alexander Stehlik

I should have looked in the bug tracker earlier, I spent hours with this issue.

Anyway, thanks a lot for sharing!!

#3 - 2011-03-21 11:13 - Karsten Dambekalns
- Status changed from New to Needs Feedback
- Assigned To set to Karsten Dambekalns

Well, sematically that should be the same, no? What error does this cause, and under which circumstances?
#4 - 2011-03-21 11:59 - Regine Rosewich

In the meantime I use the Doctrine2 persistence, so the error will not happen any more. But as far as I remember it happend, when trying to add a new
post to the blog-example without Doctrine2 Persistence.

I dumped the SQL-Statement with a \F3\var_dump() in Backend.php, cut it out and pasted it into the SQL-editor of PhpMyAdmin. There it threw the
same error as in FLOW3.

When changing the syntax as shown in my issue, the error was gone.

#5 - 2011-03-28 17:07 - Karsten Dambekalns
- Status changed from Needs Feedback to Closed

Too little information, cannot reproduce.
